%define  fwname   ibus
%define  engname  table
%define  tabname  quick
%define  appname  %{fwname}-%{engname}
%define  appdir   %{_datadir}/%{appname}

Name:       %{appname}-%{tabname}
Version:    1.2.0.20090902
Release:    1%{?dist}
Summary:    %{tabname} table for %{appname}
License:    Public Domain and GPLv2+ 
Group:      System Environment/Libraries
URL:        http://code.google.com/p/ibus/
Source0:    http://ibus.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:    COPYING.tables

BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:  noarch

Requires:         %{appname} >= 1.2, %{appname} >= 1.2
Requires(post):   %{appname} >= 1.2, %{appname} >= 1.2
BuildRequires:    %{appname} >= 1.2, %{appname} >= 1.2

%description
The package contains %{tabname} table for %{appname}.

%prep
%setup -q
%__cp COPYING icons/COPYING.icons
%__cp %{SOURCE1} tables/COPYING.tables

%build
export IBUS_TABLE_CREATEDB="%{_bindir}/ibus-table-createdb -o"
%configure \
    --prefix=%{_prefix} \
    --enable-quick3 \
    --enable-quick5 \
    --enable-quickclassic
%__make %{?_smp_mflags}

%install
%__rm -rf %{buildroot}
make DESTDIR=%{buildroot} NO_INDEX=true INSTALL="install -p" install

%clean
%__rm -rf %{buildroot}

%post
cd %{_datadir}/%{appname}/tables/
%{_bindir}/ibus-table-createdb -i -n quick3.db
%{_bindir}/ibus-table-createdb -i -n quick5.db
%{_bindir}/ibus-table-createdb -i -n quick-classic.db

%files
%defattr(-,root,root,-)
%doc AUTHORS icons/COPYING.icons tables/COPYING.tables README
%{appdir}/tables/quick3.db
%{appdir}/tables/quick5.db
%{appdir}/tables/quick-classic.db
%{appdir}/icons/quick3.png
%{appdir}/icons/quick5.png
%{appdir}/icons/quick-classic.png

%changelog
* Wed Sep 02 2009 Caius 'kaio' Chance <k at kaio.me> - 1.2.0.20090902-1.fc12
- Updated source w/ intro of Quick Classic table.
- Macro'ed .spec file.

* Wed Jul 22 2009 Caius 'kaio' Chance <k at kaio.me> - 1.2.0.20090720-2.fc12
- Removed unneccessary BuildRequires.
- Removed unneccessary owned directories.
- Changed autogen.sh to configure.

* Mon Jul 20 2009 Caius 'kaio' Chance <k at kaio.me> - 1.2.0.20090720-1.fc12
- Separated from ibus-table-cangjie to ibus-table-quick.
